%% Post-flood Pond Pythogen Model

clc
clear all

%% Evaporation Hargreaves
% Tmx = 29.23;
% Tmn = 24.20;
% Tav = 25.70;
% H0 = 36.06;
% ET = 0.0023*H0*((Tmx-Tmn)^0.5)*(Tav+17.8) % mm/day
% ET = ET/(24*1000) % m/h

% Evaporation Constant/Measurement
ET =  1.1111e-04; % average ET in May in Germany; in m/h

%% Infiltration rate Horton

% t =[0:1:167]; %hours
% 
% % Tholin & Kiefer, 1959 - Turf areas
% f_time = 0.53 + 2.47*exp(-0.0697*t); % in/h
% f_time = f_time./39,3701; % m/h

% Infiltration rate Constant
IF = 0.00000001*3600 % fine sediment; in m/h

%% Initial condition
M0 = 100000; %initial pathogen mass in pathogen unit
D0 = 4.5; %initial ponding depth in m
A0 = 60*60*3; %initial ponding area in m2

%% Define constants 

% E. coli Mezrioui et al., 1995
k = 0.0222 % 1/h

%% Call model
simOut = sim('Pathogen');

%% Post-processing

Cf = simOut.yout{1}.Values.data; % Concentration in pathogen/ml
Volume = simOut.yout{2}.Values.data; % Volume in ml
t = simOut.tout;

figure
plot(t,Cf)

figure
plot(t,Volume)

